/*
 * generated by Xtext 2.21.0
 */
package br.ufes.nemo.seon.ontoloyasservice.ide;

import br.ufes.nemo.seon.ontoloyasservice.OaasRuntimeModule;
import br.ufes.nemo.seon.ontoloyasservice.OaasStandaloneSetup;
import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.xtext.util.Modules2;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class OaasIdeSetup extends OaasStandaloneSetup {

	@Override
	public Injector createInjector() {
		return Guice.createInjector(Modules2.mixin(new OaasRuntimeModule(), new OaasIdeModule()));
	}
	
}
